This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 788624 - (CVE-2012-0501) CVE-2012-0501 OpenJDK: off-by-one bug in ZIP reading code (JRE, 7118283)
CVE-2012-0501 OpenJDK: off-by-one bug in ZIP reading code (JRE, 7118283)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120214,reported=2...
: Security
Depends On: 787142 787143 787144 787145 788202 788203 788204 788205 788206 813689 813690 813691 813692 814225 814226 814227 814228
Blocks: 786724
  Show dependency treegraph
 
Reported: 2012-02-08 11:05 EST by Tomas Hoger
Modified: 2016-03-04 06:37 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-25 03:02:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2012-02-08 11:05:40 EST
An off-by-one flaw was found in ZIP reading code used by ZipFile class.  A specially-crafted zip file could cause java program to crash when opened.
Comment 3 Vincent Danen 2012-02-14 18:09:16 EST
External Reference:

http://www.oracle.com/technetwork/topics/security/javacpufeb2012-366318.html
Comment 4 errata-xmlrpc 2012-02-14 18:42:54 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0135 https://rhn.redhat.com/errata/RHSA-2012-0135.html
Comment 5 Tomas Hoger 2012-02-15 03:45:30 EST
Patches were applied in following IcedTea versions:

* IcedTea6 1.8.13 (based on OpenJDK6 b18)
* IcedTea6 1.9.13 (based on OpenJDK6 b20)
* IcedTea6 1.10.6 (based on OpenJDK6 b22)
* IcedTea6 1.11.1 (based on OpenJDK6 b24)
* IcedTea 2.0.1 (based on OpenJDK7 u1 + u3 security patches)

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2012-February/017249.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2012-February/017233.html

Patch:
http://icedtea.classpath.org/hg/release/icedtea6-1.10/file/4e7a700d4ecc/patches/security/20120214/7118283.patch
Comment 7 Tomas Hoger 2012-02-16 10:02:21 EST
PRE-CERT Security Advisory security advisory for this issue:

http://seclists.org/fulldisclosure/2012/Feb/260
http://www.pre-cert.de/advisories/PRE-SA-2012-01.txt
Comment 8 errata-xmlrpc 2012-02-16 14:01:51 EST
This issue has been addressed in following products:

  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0139 https://rhn.redhat.com/errata/RHSA-2012-0139.html
Comment 9 errata-xmlrpc 2012-02-21 16:58:32 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0322 https://rhn.redhat.com/errata/RHSA-2012-0322.html
Comment 10 errata-xmlrpc 2012-04-23 13:04:05 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0508 https://rhn.redhat.com/errata/RHSA-2012-0508.html
Comment 11 errata-xmlrpc 2012-04-24 15:36:27 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0514 https://rhn.redhat.com/errata/RHSA-2012-0514.html
Comment 12 errata-xmlrpc 2013-10-23 13:03:07 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html

Note You need to log in before you can comment on or make changes to this bug.